Definition of implicit attribute transfer handlers (both get and set)

## Macros

#define | FLEXT_ATTRVAR_F(VAR)
| Declare both implicit get and set functions for a float attribute. More...
#define | FLEXT_ATTRVAR_I(VAR)
| Declare both implicit get and set functions for an integer attribute. More...
#define | FLEXT_ATTRVAR_S(VAR)
| Declare both implicit get and set functions for a symbol attribute. More...
#define | FLEXT_ATTRVAR_B(VAR)
| Declare both implicit get and set functions for a boolean attribute. More...
#define | FLEXT_ATTRVAR_E(VAR, TP)
| Declare both implicit get and set functions for an enum attribute. More...
#define | FLEXT_ATTRVAR_V(VAR)
| Declare both implicit get and set functions for a variable list attribute. More...

## Detailed Description

## Macro Definition Documentation

## FLEXT_ATTRVAR_B

#define FLEXT_ATTRVAR_B | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRGET_B(VAR) FLEXT_ATTRSET_B(VAR)
FLEXT_ATTRSET_B
#define FLEXT_ATTRSET_B(VAR)
Declare an implicit set function for a boolean attribute.
Definition: fldefs_attrvar.h:55

Declare both implicit get and set functions for a boolean attribute.

## FLEXT_ATTRVAR_E

#define FLEXT_ATTRVAR_E | ( |  | VAR,
|  |  | TP
| ) |  |

Value:
\
FLEXT_ATTRGET_(VAR,TP) FLEXT_ATTRSET_(VAR,TP)
FLEXT_ATTRSET_
#define FLEXT_ATTRSET_(VAR, TP)
Declare an implicit attribute set function.
Definition: fldefs_attrvar.h:21

Declare both implicit get and set functions for an enum attribute.

## FLEXT_ATTRVAR_F

#define FLEXT_ATTRVAR_F | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRGET_F(VAR) FLEXT_ATTRSET_F(VAR)
FLEXT_ATTRSET_F
#define FLEXT_ATTRSET_F(VAR)
Declare an implicit set function for a float attribute.
Definition: fldefs_attrvar.h:40

Declare both implicit get and set functions for a float attribute.

## FLEXT_ATTRVAR_I

#define FLEXT_ATTRVAR_I | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRGET_I(VAR) FLEXT_ATTRSET_I(VAR)
FLEXT_ATTRSET_I
#define FLEXT_ATTRSET_I(VAR)
Declare an implicit set function for an integer attribute.
Definition: fldefs_attrvar.h:45

Declare both implicit get and set functions for an integer attribute.

## FLEXT_ATTRVAR_S

#define FLEXT_ATTRVAR_S | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRGET_S(VAR) FLEXT_ATTRSET_S(VAR)
FLEXT_ATTRSET_S
#define FLEXT_ATTRSET_S(VAR)
Declare an implicit set function for a symbol attribute.
Definition: fldefs_attrvar.h:50

Declare both implicit get and set functions for a symbol attribute.

## FLEXT_ATTRVAR_V

#define FLEXT_ATTRVAR_V | ( |  | VAR | ) |

Value:
\
FLEXT_ATTRGET_V(VAR) FLEXT_ATTRSET_V(VAR)
FLEXT_ATTRSET_V
#define FLEXT_ATTRSET_V(VAR)
Declare an implicit set function for a variable list attribute.
Definition: fldefs_attrvar.h:69

Declare both implicit get and set functions for a variable list attribute.